### Method

# Gtk CellArea add_with_properties

deprecated: 4.10

#### Declaration [src]

    void
    gtk_cell_area_add_with_properties (
      GtkCellArea* area,
      GtkCellRenderer* renderer,
      const char* first_prop_name,
      ...
    )

#### Description [src]

Adds `renderer` to `area`, setting cell properties at the same time. See `gtk_cell_area_add()` and `gtk_cell_area_cell_set()` for more details.

Deprecated since: 4.10

Please do not use it in newly written code.

This method is not directly available to language bindings.

#### Parameters

`renderer`

  Type: `GtkCellRenderer`

  A `GtkCellRenderer` to be placed inside `area`.

  The data is owned by the caller of the method.

`first_prop_name`

  Type: `const char*`

  The name of the first cell property to set.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  A `NULL`-terminated list of property names and values, starting with `first_prop_name`.